For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList actions
      • POSTCreate an action
      • POSTInitialize a custom action
      • PUTUpdate an action
      • DELDelete an action
      • GETGet an action
      • POSTAttach an action
      • POSTDetach an action
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIActions

Create an action

||View as Markdown|
POST
/actions
POST
/v2/actions
$curl -X POST https://api.synthflow.ai/v2/actions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "REAL_TIME_BOOKING": {
> "first_appt_date": {},
> "max_time_slots": 2,
> "min_hours_diff": 3,
> "no_of_days": 3,
> "timezone": "America/New_York"
> }
>}'
1{
2 "status": "success",
3 "response": {
4 "action_id": "1725993202345x493030233644494700"
5 }
6}
Was this page helpful?
Previous

Initialize a custom action

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
REAL_TIME_BOOKINGobjectOptional
INFORMATION_EXTRACTORobjectOptional
LIVE_TRANSFERobjectOptional
SEND_SMSobjectOptional
INCALL_SMSobjectOptional
INCALL_WHATSAPPobjectOptional
CUSTOM_ACTIONobjectOptional
CUSTOM_EVALobjectOptional

Response

200
statusstring
responseobject

Errors

400
Bad Request Error